package com.lantone.common.annotation;
import com.lantone.common.enums.BusinessType;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * @Description:自定义操作日志记录注解
 * @Author: cy
 * @time: 2021/8/30 13:36
 */
@Target({ ElementType.PARAMETER, ElementType.METHOD })
@Retention(RetentionPolicy.RUNTIME)
public @interface Log {
    /**
     * 模块
     */
    public String title() default "";

    /**
     * 功能
     */
    public BusinessType businessType() default BusinessType.OTHER;
    /**
     * 是否保存请求的参数
     */
    public boolean isSaveRequestData() default true;
}